Bug 980367 - [abrt] fedmsg-notify-0.5.0-1.fc18: filters.py:53:__init__:OSError: [Errno 20] Not a directory: '/home/pat/.cache/abrt/spool'
[abrt] fedmsg-notify-0.5.0-1.fc18: filters.py:53:__init__:OSError: [Errno 20]...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: fedmsg-notify (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:4484a6a86b13801e3143a00a6a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 03:39 EDT by Pat McClung
Modified: 2016-09-19 22:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 21:12:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1020 bytes, text/plain)
2013-07-02 03:39 EDT, Pat McClung
no flags Details
File: core_backtrace (548 bytes, text/plain)
2013-07-02 03:39 EDT, Pat McClung
no flags Details
File: environ (1.89 KB, text/plain)
2013-07-02 03:39 EDT, Pat McClung
no flags Details

  None (edit)
Description Pat McClung 2013-07-02 03:39:08 EDT
Description of problem:
on KDE Plasma startup after signon user: pat

"filters.py:53:__init__:OSError: [Error 20] Not a directory: '/home/pat/.cache/abrt/spool'

'/home/pat/.cache/abrt/spool' is a file, containing 6 characters:

3.9.4-


Version-Release number of selected component:
fedmsg-notify-0.5.0-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/fedmsg-notify-daemon
executable:     /usr/bin/fedmsg-notify-daemon
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
filters.py:53:__init__:OSError: [Errno 20] Not a directory: '/home/pat/.cache/abrt/spool'

Traceback (most recent call last):
  File "/usr/bin/fedmsg-notify-daemon", line 9, in <module>
    load_entry_point('fedmsg-notify==0.5.0', 'console_scripts', 'fedmsg-notify-daemon')()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 282, in main
    service = FedmsgNotifyService()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 109, in __init__
    self.settings_changed(self.settings, 'enabled-filters')
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 157, in settings_changed
    self.filters.append(filter(filter_settings.get(name, '')))
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/filters.py", line 53, in __init__
    for crash in os.listdir(crash_dir):
OSError: [Errno 20] Not a directory: '/home/pat/.cache/abrt/spool'

Local variables in innermost frame:
crash_dir: '/home/pat/.cache/abrt/spool'
self: <ReportedBugsFilter>
settings: ''
Comment 1 Pat McClung 2013-07-02 03:39:13 EDT
Created attachment 767658 [details]
File: backtrace
Comment 2 Pat McClung 2013-07-02 03:39:16 EDT
Created attachment 767659 [details]
File: core_backtrace
Comment 3 Pat McClung 2013-07-02 03:39:19 EDT
Created attachment 767660 [details]
File: environ
Comment 4 Luke Macken 2013-08-21 19:25:01 EDT
Interesting… so ~/.cache/abrt/spool exists, but isn't a directory?
Comment 5 Luke Macken 2013-11-25 16:05:36 EST
Can you please post the output of `file ~/.cache/abrt/spool` ?
Comment 6 Pat McClung 2013-11-26 15:32:16 EST
Luke,
I made .cache/abrt/spool into a directory, and the problem went away.  the spool directory is now empty.  In .cache/abrt/
there is a file, ignored_problems, with the following contents
__________________________________________________________________________________________
/var/tmp/abrt/ccpp-2013-06-06-13:11:01-16647;db507968a5a6fda19d97a7cfebdc7ebf89d31288;
/var/tmp/abrt/ccpp-2013-06-09-19:23:46-9903;19927a55a472438bd7b37b8b4378777aef39dba5;
/var/tmp/abrt/ccpp-2013-06-08-21:29:47-1670;66f78f6b5f5dc505b395d403223d9fdc8d55ea5d;
/var/tmp/abrt/pyhook-2013-06-11-10:47:26-1869;95137503c754d8cd21c466afbd17e2564d8eb6e9;95137503c754d8cd21c466afbd17e2564d8eb6e9
/var/tmp/abrt/ccpp-2013-06-29-09:07:11-2360;3702f88f43728fdbffa27a62e3ee801e8c62cbe1;
/var/tmp/abrt/pyhook-2013-06-30-16:53:14-1760;4484a6a86b13801e3143a00a6a6e65840ea5286d;4484a6a86b13801e3143a00a6a6e65840ea5286d
/var/tmp/abrt/ccpp-2013-07-16-10:14:12-2702;c7e7b9e0165e50d3d02a89a9c102495a2957a478;
__________________________________________________________________________________________
Pat McClung
Comment 7 Luke Macken 2013-12-02 21:12:57 EST
Thanks for the response Pat. This issue will be resolved when we merge the patch to port to the abrt python API. https://github.com/fedora-infra/fedmsg-notify/pull/18

Note You need to log in before you can comment on or make changes to this bug.